Opened 10 years ago

Closed 10 years ago

#6918 closed defect (wontfix)

make uninstall does not remove all installed files (core)

Reported by: Nick Morrott <knowledgejunkie (at) gmail (dot) com> Owned by: danielk
Priority: trivial Milestone: 0.22
Component: MythTV - General Version: head
Severity: low Keywords:
Cc: Ticket locked: no

Description

After a make uninstall from current trunk (r21521), I am left with the following files from a core build (PREFIX=/usr/local/):

ls -l /usr/local/include/mythtv/libmythtv/
total 28
-rw-r--r-- 1 root root  1510 2009-07-18 07:45 myth_imgconvert.h
-rw-r--r-- 1 root root 13420 2009-07-28 18:00 programinfo.h
-rw-r--r-- 1 root root   964 2009-07-18 07:45 recordingtypes.h
-rw-r--r-- 1 root root  3637 2009-08-19 02:08 remoteutil.h

Change History (2)

comment:1 Changed 10 years ago by danielk

Milestone: unknown0.22
Owner: changed from Isaac Richards to danielk
Priority: minortrivial
Severity: mediumlow
Status: newaccepted

Technically you should uninstall with the version you installed with, mythtv no longer installs those files, so it doesn't uninstall them. But I'll see if there is some way to add this to the libmythtv.pro

comment:2 Changed 10 years ago by danielk

Resolution: wontfix
Status: acceptedclosed

Ok, after looking into this some it looks like these files won't cause any compile problems & adding uninstall targets appears non-trivial.

Note: See TracTickets for help on using tickets.